%global shortname acorn

Name:           nodejs-%{shortname}
Version:        2.7.0
Release:        1%{?dist}.3
Summary:        ECMAScript parser

License:        MIT
URL:            https://github.com/ternjs/acorn
Source0:        http://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
Patch0:         nodejs-acorn-test-dist.patch
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
A tiny, fast JavaScript parser, written completely in JavaScript.

%prep
%setup -qn package
%setup -q -T -D -a 1 -n package
%patch0 -p1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}
cp -pr package.json bin dist src \
    %{buildroot}%{nodejs_sitelib}/%{shortname}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/acorn \
       %{buildroot}%{_bindir}/acorn

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
node test/run.js

%files
%{nodejs_sitelib}/%{shortname}
%{_bindir}/acorn
%license LICENSE README.md
%doc README.md


%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 2.7.0-1
- Update to 2.7.0
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Thu Nov 27 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-3
- Fix install path of util/walk.js
* Tue Nov 25 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-2
- Don't package util/test_walk.js
* Sat Nov 22 2014 Gerard Ryan <gerard@ryan.lt> - 0.9.0-1
- Initial package
